# DragonStarts - Gamestarts for X4 Foundations


+ v3.1 2020-04-15: Gives Split DLC goodies; other improvements


This mod adds ~~7~~ several new game starts to [X4
Foundations](https://www.egosoft.com/games/x4/info_en.php). They
allow you to skip progressively more of the beginning phases of the
game by providing better ships, money, SETA, and blueprints.

No other mods are required; if the Split DLC and/or Trade Beacons mods
are installed parts from them will be included in some of the
starts. Should be compatible with other mods / etc.


![](ds3logo.png)

Instead of directly adding money, you get a number of the most
valuable crystals in the inventory at start. That way if you
don't want the easy money, you can just dump them and not be tempted.

------------------------
## Using the PHQ (or "Where's the research thingy?")

You dock at the PHQ, and go talk to the Boron. Take the transporter to
the Science Laboratory. This makes the research menu available.


----------------------------
# The Starts

## 1: Basic

You start in an Eclipse Vanguard loaded out with MK3 engines, and
shields, 4 gatling guns, and the Docking computer MK2. You have 20,000
credits and the SETA. You are located in Argon Prime between the
shipyard and highway. The PHQ is near the inactive jump gate, about
100km away from you.

## 2: Poor

Basic plus between 10 and 80 of the $250k/ea crystals in your
inventory. Enough to start traders working for you.

## 3: Poor Producer

Poor plus a good production set of blueprints.

Blueprints are expanded from the basic set to include the "E" large
dock, Teladi and Argon Large size storage modules, Argon claim and
defence disc, all the biological plants, including illegals, all the
basic material refineries, and Teladi shield and Argon turret
blueprints to load out the defence discs.

If you have the Split DLC this level and above add the Chelt Meat and
Scruffin Fruit plants.


## 4: Comfy Producer

Poor Producer, but with between 80 and 200 crystals in inventory. An
Albatross builder, well set up. Added blueprints for the ship building
modules in S/M, L, and XL sizes.

## 5: Seedling Magnate

Comfy Producer set up, plus blueprints for all the intermediate and
final production modules. Just the thing to build an independent
empire and wipe out the rest of the map.

The production modules are all Argon, "Refined Metals" users instead
of Teladi, if that matters.

Between 2,000 and 4,000 crystals in inventory.


## 6: Rank Cheating

Seedling Magnate plus: habitat modules (L for TEL/PAR/Split, M habs
for ARG), blueprints for a selection of ships and full gear to kit
them out. (Includes Trade Beacons if you have that mod installed)

Ship blueprints:
+ XL: Albatross Vg, Colossus Snt, Teladi resupply
+ L: Odyseuss Vg, Shuyaku Snt, Helios Vg, paranid gas and mineral miners
+ M transport: Vulture Snt, Hermes Vg, Demeter Vg, Minotaur Raider
+ M miner: paranid gas and mineral miners
+ M fighter: Gorgon Vg, Cerberus Vg, Nemesis Vg, Minotaur Snt
+ S transport: Tethys Vg
+ S fighter: Pegasus Vg, Nodan Vg, ANT Pulsar

In addition *all* the research is already done. Teleport anywhere
right from the beginning. This does make the "do any research" mission
impossible to complete but thats a moot point.

The map is partially revealed; the sectors and gates are known to
player and shown on the map, but you still have to discover stations
and so on yourself. Great use for Trade Recon Beacons. 



## 7: Cheating, but without the PHQ

As it says on the tin, as "Rank Cheating" above, but no PHQ. The PHQ
mission should still be available to do in this start.


## X: test

Test platform start, marked in the source for easy user
hacking. (Edit `md/dragonstartsetup.xml`)

All the 'Rank Cheating' stuff, as well as:

+ another builder, and a Shuyaku with a load of ecells, hull parts,
  and claytronics.
+ open map (know every station/object in the galaxy at start)
+ AdvSats on all gates (but not accelerators)
+ Trade subscriptions to all friendly faction stations
+ several HOP ship blueprints to give your yards income


NOTE: the map is not updated at every game load as with the OpenMap
mod, when factions build stations after the game starts, you will have
to find out about them normally. Trade subscriptions likewise,
anything not there at start, you have to arrange your own.


----------------------------

Also see my [other x4f
work](https://snafuhall.com/category/x4f.html)


----------------------------

## v 3.1 changes

+ if Split DLC installed: adds Split modules & weapons
+ if Trade Beacons installed: add trade beacons & blueprints
+ add more vanilla weapons
+ redid openmap and added reveal_lessmap
+ improved crews (begone pesky mammals)

----------------------------

## v 3.0 changes

+ add *all* research to cheat and test starts.
+ test with X4 v3.0 release and Split DLC

----------------------------

## v2.1 changes

+ fix missing Helios, add resupply
+ add moar ships to test start
+ correct docs


------------------------
## v2 changes

+ Fixed PHQ mission being offered when PHQ had been given
  already. (thanks to mewosmith for help fixing that and apologies to
  those bitten by that bug)
+ add Ion Blaster weapon blueprint to cheat level starts
+ add Teladianium refinery blueprint
+ significant code reorganization
+ (slightly) MOAR crystals at all levels
+ Added starts 2a and b, 3a, X


------------------------
### Installing and Using

Dowload this project as a .zip file. Unpack that into the X4
`extensions/` folder. This may vary from machine to machine but
`Steam/steamapps/common/X4/extensions` should get you started. It's ok
if it's named `dragonstarts-master/`. The new starting options should
appear as options under *"New Game"* when you next start X4.

This should be compatible with most other mods, and vanilla, as it
doesn't change anything about gameplay.

Thanks for the work they shared to to BoostHungry for [ArgonCitizenStart](https://forum.egosoft.com/viewtopic.php?f=181&t=407524)
and alexalsp for [Open
Map](https://steamcommunity.com/sharedfiles/filedetails/?id=1673264952)


Copyright (c) 2019, 2020 by Mark Lamb; licensed WTFPL / do what you
like with it but don't blame me.




